Complete Subtitle Upload
This API must be called after adding subtitles; the add subtitle call gives you URLs to upload, and you complete a PUT request to those URLs.
Once that is done, calling this initiates the process to actually add the subtitle to the video.
Path Parameters
- Type: stringasset
_ I D requiredAn asset id for the previously created asset.
Body
application/json
- Properties: 2Type: array of objectupload
_responses
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/video/assets/{asset_ID}/subtitle/upload/event
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
const subtitleUpload = await client.subtitleUpload.complete('assetId', {
upload_responses: [{ language_code: 'en', uploaded: true }],
});
console.log(subtitleUpload);
{}
